Skip to content

Subscriptions ​


A tenant can have 1 or more subscriptions on the Fusion platform. These are subscriptions that really drive the service.

Get a list of subscriptions ​

The following endpoint gives the list of existing subscriptions for a given tenant and some of their characteristics.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions

Authorization ​

Required role

tenants.instance.subscriptions.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to get its subscriptions

URL/Query parameters ​

ParameterTypeDescriptionRequired?
searchstringUsed to perform a search through all searchable properties of a distributor that look like the string passedno
sortstringAllows to specify one searchable property of a distributor to apply a sorting operationno
dirstringWhen performing a sort operation, specifies the type. Allowed values are asc for ascending (default) or desc for descendingno
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
pageintegerUsed for pagination, determines the returned page from the collection of result pages (defaults to 1)no

Response ​

Status codes ​

ParameterDescription
200One or more subscriptions found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No subscription found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
subscriptionsarrayList containing all subscription objects for the tenantno
Subscription Object ​
ParameterTypeDescriptionConditional?
idintegerIndex of the subscriptionno
namestringName of the subscriptionno
billingIdstringExternal ID used in CDR as billing reference (unique per Group).no
licensesobjectList containing all licenses assigned to this subscriptionno
suspensionProfileIdstringBarring profile ID of the suspension profileyes
ucstringUC of the subscription. See UC values.no
Licenses ​
ParameterTypeDescriptionConditional?
msTeamsUsersintegerAmount of MS Teams users for which a number can be provisioned under this subscriptionno
sipTrunkChannelsintegerMaximum amount of simultaneous SIP trunk calls (in+out) that can be setup by this subscriptionno
UC values ​

Possible values are:

  • msteams,
  • webex,
  • zoom.

Example ​
json
{
  "results": 2,
  "pages": 1,
  "page": 1,
  "subscriptions": [
    {
      "id": 5,
      "billingId": "cloudblue::tenant::67",
      "name": "Another Test Subscription",
      "licenses": {
          "msTeamsUsers": 10,
          "sipTrunkChannels": 0
      },
      "suspensionProfileId": "suspended_5",
      "uc": "webex"
    },
    {
      "id": 4,
      "billingId": "cloudblue::tenant::34",
      "name": "Test Subscription",
      "licenses": {
          "msTeamsUsers": 20,
          "sipTrunkChannels": 50
      },
      "uc": "msteams"
    }
  ]
}

Get a specific subscription ​

The following endpoint returns a specific subscription for a given tenant together with its characteristics.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}

Authorization ​

Required role

tenants.instance.subscriptions.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to get its subscriptions
idintegerIndex of an existing subscription

URL/Query parameters ​

ParameterTypeDescriptionRequired?
detailedbooleanIf true it will calculate the isDeletable value based on the object linked to itno

Response ​

Status codes ​

ParameterDescription
200The subscription if found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No subscription found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerIndex of the subscriptionno
namestringName of the subscriptionno
billingIdstringExternal ID used in CDR as billing reference (unique per Group).no
licensesobjectList containing all licenses assigned to this subscriptionno
msteamsAdminobjectInformation about the MS Teams administrator if anyyes
msteamsTenantobjectInformation about the MS Teams tenant if anyyes
numberOfUsersintegerThe number of MS Teams users that have onboarded Fusion service (equal to the number of effective users that are linked to a phone number from the subscription)no
numberOfTrunkgroupsintegerThe number of SIP trunk channels that have been subscribedno
phoneNumbersobjectInformation about the amount of phone numbers that belong to the subscription and their assignments to different usagesno
suspensionProfileIdstringBarring profile ID of the suspension profileyes
isDeletablebooleanSet to true if the subscription might be deleted, meaning no object is linked to it in any way, false otherwiseyes
assignedEntitiesarrayList containing the assigned entities blocking for delete. See Assigned Entities.no
ucstringUC of the subscription. See UC values.no
MS Teams Administrator Object ​
ParameterTypeDescriptionConditional?
msUsernamestringPrincipal name of the MS Teams administrator as found in Azure ADno
namestringIndicates if the administrator account is valid and allowed to use powershell integrationno
MS Teams Tenant Object ​
ParameterTypeDescriptionConditional?
idstringUUID of the MS Teams tenant as found in Azure ADno
modestringIndicates the mode of integrations of the tenant. Returned values are either direct_routing or operator_connectno
Phone Numbers Amount Object ​
ParameterTypeDescriptionConditional?
totalintegerTotal amount of phone numbers linked to the subscriptionno
freeintegerFrom total, fraction of phone numbers that are still free for assignment (excluding Operator Connect ones)yes
linkedToUsersintegerFrom total, fraction of phone numbers that are linked to MS Teams usersyes
linkedToTrunkgroupsintegerFrom total, fraction of phone numbers that are linked to trunkgroupsyes
linkedToOperatorConnectintegerFrom total, fraction of phone numbers that are reserved for Operator Connect, ready for MS Teams user assignmentyes
Assigned Entities values ​

Possible values are:

  • MS Admin,
  • MS Tenant,
  • MS Users,
  • Trunkgroups,
  • Phone numbers,
  • Anywhere,
  • Templates.

Example ​
json
{
    "id": 175,
    "name": "O365Subscription",
    "billingId": "1",
    "licenses": {
        "msTeamsUsers": 5,
        "sipTrunkChannels": 0
    },
    "msteamsAdmin": {
        "msUsername": "john.doe@netaxistest.onmicrosoft.com",
        "status": "active"
    },
    "msteamsTenant": {
        "id": "5555b1dc-3add-428d-a0e4-cd0261be23b7",
        "mode": "direct_routing"
    },
    "numberOfUsers": 6,
    "numberOfTrunkgroups": 10,
    "phoneNumbers": {
        "total": 52,
        "free": 47,
        "linkedToUsers": 5,
        "linkedToTrunkgroups": 0,
        "linkedToOperatorConnect": 0
    },
    "isDeletable": false,
    "assignedEntities": [
        "MS Admin",
        "MS Tenant",
        "MS Users",
        "Trunkgroups",
        "Phone numbers",
        "Templates"
    ],
    "uc": "webex"
}

Create a new subscription ​

Use this endpoint to create a new subscription for a tenant on the platform.

Once completed, a notification will be sent through webhook or email (if enabled) as described on create subscription event

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions

Authorization ​

Required role

tenants.instance.subscriptions.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to create a subscription

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired
namestringName the subscriptionyes
billingIdstringExternal ID used in CDR as billing reference (unique per Group).yes
ucstringUC of the subscription. See UC values.no

Example ​

json
{
  "name": "Test Subscription 46",
  "billingId": "cloudblue::distributor::163",
  "uc": "webex"
}

Response ​

Status codes ​

ParameterDescription
200The subscription was created successfully
400Error while creating the subscription
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional
idintegerIndex of the created subscriptionno
Example ​
json
{
  "id": 12
}

Modify an existing subscription ​

Use this endpoint to modify an existing subscription for a tenant on the platform.

Once completed, a notification will be sent through webhook or email (if enabled) as described on update subscription event

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to modify the subscription
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​

ParameterTypeDescriptionRequired
namestringNew name for the subscriptionno
billingIdstringNew external ID used in CDR as billing reference (unique per Group).no
suspensionProfileIdintegerIndex of the suspension profile as returned by this endpoint or null if you want to remove any suspensionyes

Example ​

json
{
  "name": "CBUR Test Subscription 45",
  "billingId": "cloudblue::distributor::162",
  "suspensionProfileId": 2
}

Response ​

Status codes ​

ParameterDescription
200The subscription was updated successfully
400Error while updating the subscription
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional
idintegerIndex of the modified subscriptionno
Example ​
json
{
  "id": 12
}

Delete a subscription ​

Use this endpoint to delete an existing subscription for a tenant on the platform.

Once completed, a notification will be sent through webhook or email (if enabled) as described on delete subscription event

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you would like to delete a subscription
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
200The subscription was deleted successfully. If the subscription didn't exist, the delete will be considered as being executed successfully
400Error while deleting the subscription
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional
idintegerIndex of the deleted subscriptionno
Example ​
json
{
  "id": 12
}

List all the rate plans supported by the subscription ​

Currently the platform only distinguishes between MS Teams and SIP Trunking calls. However, this might change in the future. This endpoint returns the actual price plans supported by the subscription.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/rate_plans

Authorization ​

Required role

tenants.instance.subscriptions.instance.rate_plans.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to get the supported rate plans
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more rate plans found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
currencystringThe currency code, accordingly to the currency setting.no
ratePlansarrayList containing the rate plans supported by the platform.no
Example ​
json
{
    "currency": "EUR",
    "ratePlans": [
        {
            "id": "msteams",
            "name": "MS Teams",
            "description": "Applicable for all calls made from a MS Teams account"
        },
        {
            "id": "trunking",
            "name": "SIP trunking",
            "description": "Applicable for all calls made from a SIP trunk"
        }
    ]
}

Get a specific rateplan ​

This endpoint returns a specific rateplan for the susbcription with all different prices that apply (setup + per minute) per destination.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/rate_plans/{rate_plan}

Authorization ​

Required role

tenants.instance.subscriptions.instance.rate_plans.instance.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to get the supported rate plans
idintegerIndex of an existing subscription
rate_planstringRefers to the rateplan for which you want to get the pricing. See also rate plans

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more prices found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
pricesarrayList containing the latest price objects for any dial plan groups.no
Example ​
json
{
    "prices": [
        {
            "activeSince": "2022-08-06 00:00:00",
            "destination": "Italy",
            "destinationId": 177,
            "international": {
                "duration": 0,
                "setup": 0
            },
            "national": {
                "duration": 0,
                "setup": 0
            },
            "nextUpdate": "2022-08-11 00:00:00"
        },
        {
            "activeSince": "2022-08-04 00:00:00",
            "destination": "Belgium Freephone",
            "destinationId": 427,
            "international": {
                "duration": 4.68,
                "setup": 5.78
            },
            "national": {
                "duration": 2.43,
                "setup": 5.8
            },
            "nextUpdate": "2022-08-10 00:00:00"
        },
        {
            "activeSince": "2022-08-02 00:00:00",
            "destination": "Croatia Premium",
            "destinationId": 450,
            "international": {
                "duration": 7.51,
                "setup": 6.24
            },
            "national": {
                "duration": 4.97,
                "setup": 3.7
            }
        },
        {
            "activeSince": "2022-07-12 00:00:00",
            "destination": "Austria Freephone",
            "destinationId": 414,
            "international": {
                "duration": 4.68,
                "setup": 3.47
            },
            "national": {
                "duration": 2.31,
                "setup": 1.16
            }
        },
        {
            "activeSince": "2022-07-09 00:00:00",
            "destination": "Azerbaijan Mobile",
            "destinationId": 28,
            "international": {
                "duration": 4.68,
                "setup": 3.47
            },
            "national": {
                "duration": 2.31,
                "setup": 1.16
            }
        }
    ]
}

Get the configuration of a subscription ​

List all properties that make up the subscription's configuration. Properties are made up of key / value pairs. Properties may be extended or reduced at will, knowing that a basic set of properties has to be present for application correct behaviour. For the basic set of properties that have to be set, please see this list. All property names containing password or token will be returned masked as ********.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/general

Authorization ​

Required role

subscriptions.instance.configurations.general.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

ParameterTypeDescriptionRequired?
extrabooleanForces to return the configurations keys with extra parametersno
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a group that look like the string passedno
write_onlybooleanForces to return the write only configurations keysno

Response ​

Status codes ​

ParameterDescription
200Properties list has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No subscription found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
propertiesobjectAn object returning the read properties as key / value pairs or property extra.no
Example ​
json
{
    "properties": {
        "max_calls": 30
    }
}
Example with extra=true ​
json
{
    "properties": {
        "max_calls": {
            "group": "misc",
            "type": "number",
            "value": 10,
            "write_only": true
        }
    }
}

Standard Properties ​

KeyTypeExample
draas_examplestringExample value

Create or modify properties in of a subscription ​

Use this endpoint to create or modify properties that make up the configuration of a subscription. This API is an upsert one, meaning that a non-existing property will be added and an existing one will be updated.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/general

Authorization ​

Required role

subscriptions.instance.configurations.general.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
propertiesobjectAn object defining properties as key / value pairs. Non-existing keys will be added to the configuration, existing ones will be updated with the new valueyes

Example ​

json
{
    "properties": {
        "max_calls": 30
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully added or modified to the group
400Error while processing the properties for the group
500Uncatched error on server side

Success ​

Body ​

N/A

Modify the configurations of a subscription ​

Use this endpoint to modify the configurations of a subscription of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/general

Authorization ​

Required role

subscriptions.instance.configurations.general.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​

An object defining properties as key / value pairs.

Example ​

json
{
    "properties": {
        "max_calls": 25
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Remove properties from a subscription ​

Use this endpoint to remove properties that make up the configuration of a subscription.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/general

Authorization ​

Required role

subscriptions.instance.configurations.general.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
keysarrayAn array of keys to remove from the configurationyes

Example ​

json
{
    "keys": [
        "prop_1",
        "prop_2",
        "prop_x"
    ]
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully removed the subscription
400Error while processing the properties for the subscription
500Uncatched error on server side

Success ​

Body ​

N/A

Get the configurations branding general ​

List of the configurations branding general of the reference user's access level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/branding/general

Authorization ​

Required role

subscriptions.instance.configurations.branding.general.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a tenant that look like the string passedno

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No tenant found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example ​
json
{}

Modify the configurations branding general ​

Use this endpoint to modify the configurations of branding general of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/branding/general

Authorization ​

Required role

subscriptions.instance.configurations.branding.general.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​

An object defining properties as key / value pairs.

Example ​

json
{}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Get the configurations of branding pages ​

List of the configurations of branding pages of the reference user's access level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/branding/pages

Authorization ​

Required role

subscriptions.instance.configurations.branding.pages.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a tenant that look like the string passedno

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No tenant found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example ​
json
{
    "subscription": {
        "subscriptionNumbers": {
            "tabs": {
                "myNumbers": {
                    "enabled": true
                },
                "porting": {
                    "enabled": true
                },
                "releasedNumbers": {
                    "enabled": true
                },
                "reservedNumbers": {
                    "enabled": true
                }
            }
        }
    }
}

Modify the configurations branding pages ​

Use this endpoint to modify the configurations of branding pages of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/branding/pages

Authorization ​

Required role

subscriptions.instance.configurations.branding.pages.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​

An object defining properties as key / value pairs.

Example ​

json
{
    "subscription": {
        "subscriptionNumbers": {
            "tabs": {
                "myNumbers": {
                    "enabled": true
                },
                "porting": {
                    "enabled": true
                },
                "releasedNumbers": {
                    "enabled": true
                },
                "reservedNumbers": {
                    "enabled": true
                }
            }
        }
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A

Get the configurations of branding styling ​

List of the configurations of branding styling of the reference user's access level.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/branding/styling

Authorization ​

Required role

subscriptions.instance.configurations.branding.pages.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

ParameterTypeDescriptionRequired?
fullbooleanForces to return the full configurations keys ignoring any other parametersno
keysstringA comma seperated list of keys used to restrict the returned properties to the specified keysno
searchstringUsed to perform a search through all searchable configurations keys of a tenant that look like the string passedno
typestringThe type of styling asset. Possible values are:
  • font,
  • image,
  • theme.
yes

Response ​

Status codes ​

ParameterDescription
200Properties has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No tenant found
500Uncatched error on server side

Success ​

Body ​

An object defining properties as key / value pairs.

Example type=font ​
json
{
    "allowed": [
        "Avenir Next Cyr",
        "Roboto",
        "Ubuntu",
        "Montserrat"
    ],
    "name": "Avenir Next Cyr"
}
Example type=image ​
json
{
    "favicon": "/branding/default/favicon/favicon.ico",
    "login": {
        "bg": "/branding/default/img/Loginbackground.png",
        "logo": "/branding/default/img/LoginLogo.svg"
    },
    "main": {
        "bg": "/branding/default/img/MainBackground.png",
        "logo": "/branding/default/img/Logo.svg"
    }
}
Example type=theme ​
json
{
    "allowed": [
        "blue",
        "red",
        "green"
    ],
    "selected": "blue",
    "themes": {
        "blue": "/branding/default/theme.blue.json",
        "green": "/branding/default/theme.green.json",
        "red": "/branding/default/theme.red.json"
    }
}

Modify the configurations branding styling ​

Use this endpoint to modify the configurations of branding styling of the reference user's access level.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/configurations/branding/styling

Authorization ​

Required role

subscriptions.instance.configurations.branding.pages.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant
idintegerIndex of an existing subscription

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
typestringThe type of styling asset. Possible values are:
  • font,
  • image,
  • theme.
yes

And a object defining properties as key / value pairs.

Example type=font ​
json
{
    "type": "font",
    "allowed": [
        "Avenir Next Cyr",
        "Roboto",
        "Ubuntu",
        "Montserrat"
    ],
    "name": "Avenir Next Cyr"
}
Example type=image ​
json
{
    "type": "image",
    "favicon": "/branding/default/favicon/favicon.ico",
    "login": {
        "bg": "/branding/default/img/Loginbackground.png",
        "logo": "/branding/default/img/LoginLogo.svg"
    },
    "main": {
        "bg": "/branding/default/img/MainBackground.png",
        "logo": "/branding/default/img/Logo.svg"
    }
}
Example type=theme ​
json
{
    "type": "theme",
    "allowed": [
        "blue",
        "red",
        "green"
    ],
    "selected": "red",
    "themes": {
        "blue": "/branding/default/theme.blue.json",
        "green": "/branding/default/theme.green.json",
        "red": "/branding/default/theme.red.json"
    }
}

Response ​

Status codes ​

ParameterDescription
204The properties were successfully modified
400Error while processing the properties
500Uncatched error on server side

Success ​

Body ​

N/A